/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package textkeymatcher.entity;

/**
 * デフォルトのg行ごとのカラムデータ
 * @author seraphy
 */
public class DefaultColumns implements Columns {
    
    private String[] columns;
    
    public DefaultColumns(String[] columns) {
        if (columns == null) {
            columns = new String[0];
        }
        this.columns = columns;
    }
    
    @Override
    public int getSize() {
        return columns.length;
    }
    
    @Override
    public String getAt(int columnIndex) {
        if (columnIndex >= 0 && columnIndex < columns.length) {
            return columns[columnIndex];
        }
        return "";
    }
    
}
